Subject: Re: [PATCH v2 0/3] reftable/stack: use geometric table compaction

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 3 Apr 2024 21:30:19 +0200

On Wed, Apr 03, 2024 at 12:12:32PM -0700, Junio C Hamano wrote:
> "Justin Tobler via GitGitGadget" <[email-masked]> writes:
> 
> > This is the second version my patch series that refactors the reftable
> > compaction strategy to instead follow a geometric sequence. Changes compared
> > to v1:
> >
> >  * Added GIT_TEST_REFTABLE_NO_AUTOCOMPACTION environment variable to disable
> >    reftable compaction when testing.
> >  * Refactored worktree tests in t0610-reftable-basics.sh to properly assert
> >    git-pack-refs(1) works as expected.
> >  * Added test to validate that alternating table sizes are compacted.
> >  * Added benchmark to compare compaction strategies.
> >  * Moved change that made compaction segment end inclusive to its own
> >    commit.
> >  * Added additional explanation in commits and comments and fixed typos.
> 
> Has anybody took a look at recent failures with this series present
> in 'seen' [*1*] and without [*2*] in osx-reftable jobs for t0610?
> 
> *1* https://github.com/git/git/actions/runs/8543205866/job/23406512990
> *2* https://github.com/git/git/actions/runs/8543840764/job/23408543876

I noticed that both `seen` and `next` started to fail in the GitLab
mirror today. Unless somebody else beats me to it I'll investigate
tomorrow what causes these.

Patrick